package intrinsic.mx.core;

public class ContextualClassFactory extends intrinsic.mx.core.ClassFactory {

	/** Accessors */

	/** Variables */
	public intrinsic.mx.core.IFlexModuleFactory moduleFactory;
	public Object properties;
	public intrinsic.Class generator;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ContextualClassFactory() {
}

public ContextualClassFactory(Object arg0) {
}

public ContextualClassFactory(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native Object newInstance();

}
